
package de.ivu.elect.business.ergebnis.control;

import javax.inject.Inject;

import de.ivu.elect.business.ergebnis.boundary.AbstractErgebnisDAO;
import de.ivu.elect.business.ergebnis.boundary.AbstractStimmenDAO;
import de.ivu.elect.business.ergebnis.boundary.ErgebnisDAO;
import de.ivu.elect.business.ergebnis.boundary.StimmenDAO;

public class StimmenPoolDAOFactory extends AbstractStimmenPoolFactory implements StimmenPoolFactory {

  private static final long serialVersionUID = 1L;

  @Inject
  private transient StimmenDAO stimmenDAO;

  @Inject
  private transient ErgebnisDAO ergebnisDAO;

  public StimmenPoolDAOFactory() {
    super();
  }

  @Override
  protected AbstractErgebnisDAO getErgebnisDAO() {
    return ergebnisDAO;
  }

  @Override
  protected AbstractStimmenDAO getStimmenDAO() {
    return stimmenDAO;
  }
}
